develooper Front page | perl.module-authors | Postings from November 2005

Another CPANTS/pod_coverage.t rant

From:
David Golden
Date:
November 13, 2005 06:20
Subject:
Another CPANTS/pod_coverage.t rant
Message ID:
43774B8D.4000400@hyperbolic.net
I just got bit by an annoying problem, at least part of which highlights a 
reason why I think that encouraging people to blindly add boilerplate 
pod_coverage.t files is not a good practice.  Or, more constructively, I'd 
like to suggest that the way boilerplate pod_coverage.t file are recommended 
be changed.

Description of the problem:

* A prereq module of mine uses a pod_coverage.t file, similar to what 
Module::Starter::PBP recommends:

> use Test::More;
> eval "use Test::Pod::Coverage 1.04";
> plan skip_all => "Test::Pod::Coverage 1.04 required for testing POD coverage" if $@;
> all_pod_coverage_ok();

* The module in question



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About